import Logging

/// A type that defines the input arguments that the `Hummingbird`app receives.
public protocol AppArguments {
    
    // MARK: Properties
    
    /// A bind address for the app.
    var hostname: String { get }
    /// A logging level to configure for the app.
    var logLevel: Logger.Level? { get }
    /// A port for the app to use,
    var port: Int { get }
    
}
